Bug 17194 - When edit record, Button "Z39.50/SRU search" not work
Summary: When edit record, Button "Z39.50/SRU search" not work
Status: CLOSED FIXED
Alias: None
Product: Koha
Classification: Unclassified
Component: Cataloging (show other bugs)
Version: master
Hardware: All All
: P5 - low normal (vote)
Assignee: Owen Leonard
QA Contact: Testopia
URL:
Keywords:
Depends on: 15859
Blocks:
  Show dependency treegraph
 
Reported: 2016-08-25 10:28 UTC by Michal Dudzik
Modified: 2017-12-07 22:18 UTC (History)
6 users (show)

See Also:
Change sponsored?: ---
Patch complexity: Trivial patch
Documentation contact:
Documentation submission:
Text to go in the release notes:
Version(s) released in:


Attachments
Bug 17194 - When edit record, Button "Z39.50/SRU search" not work (1.83 KB, patch)
2016-09-08 14:16 UTC, Owen Leonard
Details | Diff | Splinter Review
Bug 17194 - When edit record, Button "Z39.50/SRU search" not work (1.85 KB, patch)
2016-09-08 23:59 UTC, Liz Rea
Details | Diff | Splinter Review
Bug 17194 - When edit record, Button "Z39.50/SRU search" not work (1.92 KB, patch)
2016-09-09 14:30 UTC, Andreas Roussos
Details | Diff | Splinter Review
[PASSED QA] Bug 17194 - When edit record, Button "Z39.50/SRU search" not work (1.99 KB, patch)
2016-09-10 08:21 UTC, Katrin Fischer
Details | Diff | Splinter Review

Note You need to log in before you can comment on or make changes to this bug.
Description Michal Dudzik 2016-08-25 10:28:32 UTC
When edit record and click to button "Z39.50/SRU search" the popup not showing.
Regards
Comment 1 Jonathan Druart 2016-09-07 08:26:22 UTC
Owen, could you have a look at this one?
It has been introduced by bug 15859, the #Frameworks select is now removed and a JS error is raised:

TypeError: document.forms.f.Frameworks is undefined
var strQuery="&frameworkcode="+document.forms['f'].Frameworks.value;
Comment 2 Owen Leonard 2016-09-08 14:16:51 UTC Comment hidden (obsolete)
Comment 3 Liz Rea 2016-09-08 23:59:19 UTC Comment hidden (obsolete)
Comment 4 Andreas Roussos 2016-09-09 14:30:16 UTC Comment hidden (obsolete)
Comment 5 Katrin Fischer 2016-09-10 08:21:47 UTC
Created attachment 55461 [details] [review]
[PASSED QA] Bug 17194 - When edit record, Button "Z39.50/SRU search" not work

Bug 15859 introduced a problem in the basic cataloging editor by
removing a form field which the Z39.50 search button tries to use when
triggering the search window pop-up. This patch corrects the error by
changing where the script looks for the required framework code.

To test, apply the patch and got to cataloging.

- Edit a record which uses the default framework.
  - Confirm that the Z39.50/SRU search button works correctly to trigger
    the pop-up window.
- Repeat the test with a record which uses a different framework.

Signed-off-by: Liz Rea <liz@catalyst.net.nz>
Working again, great!

Signed-off-by: Andreas Roussos <arouss1980@gmail.com>
Patch works fine.

Signed-off-by: Katrin Fischer  <katrin.fischer@bsz-bw.de>
Comment 6 Kyle M Hall 2016-09-12 10:00:04 UTC
Pushed to master for 16.11, thanks Owen!
Comment 7 Frédéric Demians 2016-09-13 07:44:13 UTC
Pushed in 16.05. Will be in 16.05.04.